/* nav style */
nav {
	width: 100%;
	background-color: var(--background);
	color: #fff;
	height: 64px;
	box-shadow: 0 1px 1px -1px gray;
}

.nav-wrapper {
	position: relative;
	height: 100%;
	width: 100%;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}

.brand-logo {
	color: var(--text);
	font-size: 2.1rem;
	font-weight: 500;
}

.brand-logo.center {
	position: initial;

	/*
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);*/
}



.link {
	background: none;
	border: none;
	text-decoration: none;
	color: var(--text);
	font-family: inherit;
	font-size: large;
	cursor: pointer;
	padding: 0;
}

.dropdown.active>.link,
.link:hover {
	color: rgb(64, 104, 129);
}

.dropdown {
	position: relative;
	right: 10px;
}

.dropdown-menu {
	position: absolute;
	right: 0;

	top: calc(100% + .25rem);
	background-color: var(--background);
	padding: .75rem;
	border-radius: .25rem;
	box-shadow: 0 2px 5px 0 var(--primary-button);
	opacity: 0;
	pointer-events: none;
	transform: translateY(-10px);
	transition: opacity 150ms ease-in-out, transform 150ms ease-in-out;
	z-index: 20;
}

.dropdown.active>.link+.dropdown-menu {
	opacity: 1;
	transform: translateY(0);
	pointer-events: auto;
}


.information-grid {
	display: grid;
	grid-template-columns: repeat(1, max-content);
	gap: 1rem;
}

.dropdown-heading {
	color: var(--accent);
	font-size: large;
	font-weight: bold;
	padding-bottom: 5px;
}

.dropdown-links {
	display: flex;
	flex-direction: column;
	gap: .25rem;
}

#nav-mobile {
	display: flex;
	list-style-type: none;
	/* display: inline-block; */
}

.content {
	margin: auto;
	max-width: 1200px;
	display: grid;
	grid-template-columns: 1fr 1fr;
}


#nav-mobile a {
	color: white;
	margin-right: 15px;
}

/* nav style end */


/* link section */
.section {
	background-color: var(--card-bg);
	margin: 15px;
	/* border-bottom: #e0e0e0 solid 1px; */
	border-radius: 10px;
	animation: none !important;
	box-shadow: 0px 0px 3px 0px #a3a3a357;
	margin: 10px;
	padding: 20px;
	padding-top: 10px;
	border-bottom: none;
}

.section li {
	display: inline-block;
	list-style-type: none;
	margin: 5px 10px;
}

.section .row {
	display: flex;
	flex-flow: row wrap;
	padding: 0;
	gap: 4px;
}

/* link section end */

h1 {
	font-size: 2rem;
	font-weight: 400;
	color: #000;
	text-align: center;
}

/* section title  */
h2 {
	background-color: var(--card-header-bg);
	font-size: 1.64rem;
	font-weight: 400;
	margin-left: 5px;
	color: var(--card-header-text);
	margin-top: 15px;
	margin-bottom: 0px;
	box-shadow: 0 0 10px #a7a7a74d;
	display: inline-block;
	padding: 10px;
	border-radius: 10px;
	border: 1px solid #cfcfd059;
}

h2:hover {
	box-shadow: 0 0 10px #6634799c;
}

/* 选择左侧后的高亮设计  */
.section.highlight h2 {
	animation: color_change 1.5s ease-in-out alternate;
	border: 0px solid;
	background: var(--primary-button);
}

.section.highlight {
	animation: color_change 1.5s ease-in-out alternate;
	border: 0px;
	border-bottom: 1px solid rgba(218, 218, 218, .3);
}

p,
li {
	font-size: 16px;
}

.big-text {
	font-size: 21px;
}

.medium-text {
	font-size: 18px;
}

.section a {
	font-size: 18px;
}

h2 a {
	text-size-adjust: inherit;
}


article {
	padding: 0 10px;
}

article h2 {
	margin: 0;
	color: #181818;
}

article {
	color: #686868;
}

@media screen and (max-width: 700px) {
	.content {
		grid-template-columns: 1fr;
	}

	#logo {
		font-size: large;
		font-weight: 500;
	}

	#nav-mobile a {
		color: white;
		margin-right: 10px;
		font-size: small;
	}

	.container.sidebar-opened #logo {
		display: none;
	}

}